###### GENERAL ENV ######
APP_ENV=dev
APP_SECRET=5167b98c8d63a01c63c37db6367715c8
APP_NAME=Mobicoop
ASSETS_PREFIX=
FRAUD_WARNING_DISPLAY=false #show/hide a warning message against frauds
#TRUSTED_PROXIES=127.0.0.1,127.0.0.2
#TRUSTED_HOSTS=localhost,example.com

###### INFORMATIVE MESSAGE ######
INFORMATIVE_MESSAGE_ACTIVE=false
INFORMATIVE_MESSAGE_TEXT=""

###### MAIL ENV ######
#Mail to send error for production only !
MAIL_ERROR=dev-errors-mobicoop@yourdomain.com

###### COOKIES ######
# true : If the user didn't already validate its cookies prefs we show automaticaly the cookie module.
COOKIES_SHOW_AUTO=true

# List of social network cookie to accept. Leave an empty json if you only want a general checkbox
# i.e. '{"linkedIn":"LinkedIn", "facebook":"Facebook"}'
COOKIES_SOCIAL='{}'

MAILER_URL=null://localhost

###### API ENV ######
API_URI=http://mobicoop_platform:8080/
API_USERNAME=front
API_PASSWORD=mobicoop
API_AUTH_PATH=auth
API_LOGIN_PATH=login
API_LOGIN_DELEGATE_PATH=login-delegate
API_REFRESH_PATH=token/refresh
API_LOGIN_TOKEN_PATH=login-token
API_LOGIN_SSO_PATH=login-sso
API_TOKEN_ID=uniqueIdForYourTokenCache

###### ADMIN ACCESS ######
LOGIN_DELEGATE=false                  #activate or not the possibility for an admin to be logged as a user

###### GEOCOMPLETE ENV ######
GEOCOMPLETE_URI=http://localhost:8080/points
# geocomplete results order, default : user,relaypoint,locality,housenumber,street,venue,event
GEOCOMPLETE_RESULTS_ORDER='{}'      # use json object to change the order; you need to list all types, eg:
                                    # '{"0":"user","1":"relaypoint","2":"locality","3":"housenumber","4":"street","5":"venue","6":"event"}'
# geocomplete suggestions and selection color palette
GEOCOMPLETE_PALETTE=%kernel.project_dir%/config/geocomplete/palette.json
GEOCOMPLETE_CHIP=true               # show geocomplete selection as chip

###### USERS CONFIGURATION ######
USER_MIN_AGE=18     # minimum age to use the service
USER_MAX_AGE=120    # maximum age to use the service

###### DELETE PROFILE ######
DELETE_PROFILE=false

###### CARPOOL CONFIGURATION ######
CARPOOL_TIMEZONE="Europe/Paris"         # define timezone
CARPOOL_PRICE=0.06                      # define the price per km
CARPOOL_MARGIN_DURATION=900             # define the default margin time in seconds
CARPOOL_SEARCH_REGULAR=false            # regular search by default
CARPOOL_SEARCH_HORIZONTAL=false         # true if the Search component is horizontal
CARPOOL_AD_REGULAR=false                # regular ad by default
CARPOOL_DISTINGUISH_REGULAR=false       # distinct regular results in punctual search
CARPOOL_PUNCTUAL_DATE_OPTIONAL=false    # date optional for punctual search
CARPOOL_ROLE_TO_SEARCH=2                # simple search : default role (1=driver; 2=passenger; 3=both)
CARPOOL_ROLE_TO_PUBLISH=3               # ad publish : default role (1=driver; 2=passenger; 3=both)
CARPOOL_ROLE_BOTH_ENABLED=true          # define if the role 3 is enabled
CARPOOL_RDEX_JOURNEYS=0                 # 0 : We don't activate RDEX search 1 : We do
CARPOOL_STAGGERED_SCHEDULES_ALLOWED=true   # true if we authorize that for a time slot only the return time be entered
CARPOOL_SPECIFIC_TERMS=false            #true add specific terms to ad publication

###### CARPOOLER CONFIGURATION ######
CARPOOLER_RATE=true                      # display or not the carpooler rate
PARTICIPATION_TEXT=false                 # display or not participation text in ad publish
AGE_DISPLAY=true                         # display or not the carpooler age in ads
SEAT_NUMBER=4                            # number of seats available in the stepper passenger in ad publish
DEFAULT_SEAT_NUMBER=3                    # define the default number of seats
CONTENT_PASSENGER=true                   # display or not the content in the stepper passenger in ad publish (luggage, bike and backSeats)
DEFAULT_DIGITAL_CLOCK=false              # displays a digital clock field as appropriate in a ad publish

###### LANGUAGE ENV ######
LANGUAGE_URL=https://pkgstore.datahub.io/core/language-codes/language-codes_csv/data/b65af208b52970a4683fa8fde9af8e9f/language-codes_csv.csv
LANGUAGES='{"fr":"Français"}'

###### MAP ENV ######
MAP_PROVIDER=OpenStreetMap
MAP_URL_TILES=http://{s}.tile.osm.org/{z}/{x}/{y}.png
MAP_ATTRIBUTION_COPYRIGHTS='{"OpenStreetMap":"http://osm.org/copyright"}' #json string of contributors

###### PICTURES ######
IMAGE_MIN_PX_SIZE=200       # image min size in pixels
IMAGE_MAX_MB_SIZE=4         # image max size in megabytes

###### DATA ######
DATA_COMPONENTS=/components/           # define the path of assets for components

###### SOCIAL CREDENTIALS ####
FACEBOOK_SHOW=false #hide or show facebook connect/signup button
FACEBOOK_APPID=#Id of the linked facebook app

###### HOMEPAGE ######
COMMUNITY_DISPLAY=true                 # define if we display the community access on the homepage (true/false)
EVENT_DISPLAY=true                     # define if we display the event access on the homepage (true/false)
SOLIDARY_DISPLAY=true                  # define if we display the solidary access on the homepage (true/false)
ADDITIONAL_TEXT_DISPLAY=false          # define if we display text on the homepage (true/false)

###### PROFILE PAGE######
CARPOOL_SETTINGS_DISPLAY=true                # define if we display carpool settings tab on the profile page (true/false)

###### BUTTON ######
EVENT_BUTTON_DISPLAY=false             # define if we display button to create an event on the event page (true/false)
PUBLISH_BUTTON_ALWAYS_ACTIVE=false     # define if we display button to share an ad if we are logged or not (true/false)

##### SIGNUP CONFIGURATION ######
REQUIRED_HOME_ADDRESS=true            # define if the home address is required to signup
NEWS_SUBSCRIPTION=false                # define news subscription by default
SIGNUP_LINK_IN_CONNECTION=true         # true = insert signup link in login vue
LOGIN_LINK_IN_SIGNUP=false             # true = insert login link in registration vue
REQUIRED_COMMUNITY=false               # define if the community is required to signup
SIGNUP_RGPD_INFOS=false                # define if we display rgpd infos on signup page
BIRTHDATE_DISPLAY=true                 # display birthday in signup form
SSO_DISPLAY=false                      # display button in signup and login form
SPECIFIC_SSO_SERVICES='[]'             # display button for specific sso providers (ex: '[{"name":"mobConnect", "baseSiteUri": "user/sso", "redirectUri": "/login"}]')
SIGNUP_GENDERS_LIST='[1,2,3]'          # which genders are allowed (go to SignUp_XX.json to see the corresponding values)
SIGNUP_SPECIFIC_TERMS=false            # true add checkbox for specific terms
MINOR_PROTECTION_ACTIVATED=false

##### SIGNIN CONFIGURATION ######
SIGNIN_SSO_ORIENTED=false

##### MATOMO ######
MATOMO_URL=
MATOMO_SITE_ID=1

##### GOOGLE ANALYTICS ######
GOOGLE_ANALYTICS_ID=
GOOGLE_ANALYTICS_HOME=
GOOGLE_ANALYTICS_HOME_SOURCE=
GOOGLE_ANALYTICS_FIRST_AD=
GOOGLE_ANALYTICS_FIRST_AD_SOURCE=

##### COMMUNITIES ######
COMMUNITIES_CREATE_FROM_FRONT=false
COMMUNITY_SHOW=false                         # define if we display the communities on page signup (true/false)
COMMUNITY_TERRITORY_FILTER='{}'              # territory ids for community filtering, eg : {"1":1,"2":2}
COMMUNITY_USER_DIRECT_MESSAGE=true           # Show/hide the direct message button with the community members list
COMMUNITY_DEFAULT_NB_COMMUNITIES_PER_PAGE=10 # Default number of Communities in communities list (must be contained in the component itemsPerPageOptions)
COMMUNITY_WIDGET=true                        # Show/Hide community widget
COMMUNITY_WITH_FREE_CARPOOL=false            # Specifies whether to incentivize users to carpool for free at the communities level

##### EVENTS ######
EVENT_WIDGET=true
EVENT_TERRITORY_FILTER='{}'   # territory ids for event filtering , eg : {"1":1,"2":2}
EVENT_MANDATORY_DESCRIPTION=true        # To create an Event the Description is mandatory
EVENT_MANDATORY_FULL_DESCRIPTION=true   # To create an Event the Full Description is mandatory
EVENT_MANDATORY_IMAGE=true              # To create an Event the Image is mandatory
EVENT_DEFAULT_NB_EVENTS_PER_PAGE=10     # Default number of Events in events list (must be contained in the component itemsPerPageOptions)
EVENT_ASSOCIATED_TO_COMMUNITY='{"activated":false,"mandatory":false}'

##### MOBILE ######
URL_MOBILE=

##### PRICES RANGE ######
MID_PRICE=0.12
HIGH_PRICE=0.3
FORBIDDEN_PRICE=0.5

##### ADMIN ######
CAN_ACCESS_ADMIN_FROM_COMMUNITY=true # Allow access to admin from community (true/false)
URL_ADMIN=http://localhost:8082

###### GEOGRAPHY ######
BBOX={} # bounding box of the instance, under the form {MIN_LON,MIN_LAT,MAX_LON,MAX_LAT}

###### TIME PRECISION ######
TIME_PRECISION=5

###### PUBLIC TRANSPORT ######
PT_RESULTS=0 #0 : Not PT results, 1 :  PT results. The other params has to be filled.

###### PAYMENT ######
##### Exemples :
###### (CLIENT) PAYMENT_ELECTRONIC_ACTIVE=false, (API) PAYMENT_ACTIVE=true : Only directpayment
###### (CLIENT) PAYMENT_ELECTRONIC_ACTIVE=true, (API) PAYMENT_ACTIVE=true : Direct and Online payment
###### (CLIENT) PAYMENT_ELECTRONIC_ACTIVE=true/false, (API) PAYMENT_ACTIVE=false : Payment is totally disabled
PAYMENT_ELECTRONIC_ACTIVE=false           # define if online payment is activated (doesn't affect direct payment it's the API)
VALIDATION_DOC_AUTHORIZED_EXTENTIONS="application/pdf,image/jpeg,image/jpg,image/png,image/gif"
PAYMENT_TIPS_ENCOURAGEMENT=false          # show or hide a message or tip encouragement

###### DOCTRINE ENV ######
DATABASE_URL=mysql://root:mobicoop@db:3306/mobicoop_db

###### GAMIFICATION ######
GAMIFICATION_ACTIVE=false

###### RESULTS ######
DISPLAY_LOGO_NO_RESULT=false

###### CARPOOL MAP PAGE ######
DEFAULT_RELAYPOINTTYPE_LAYER=1         # The default layer to display in the carpool map page
RELAYPOINTS_MAP_BY_DEFAULT_TYPE=false   # Indicates whether for the map of relay points, the latter must be filtered by type
REFERENCE_TERRITORY=                    # The territory ID on which the map will be centered
RELAYPOINTS_MAP_TYPES_DISPLAYED='{}'    # The list of relay point types displayed, eg : {"1":1,"2":2}

###### CEE ######
ASSISTIVE_SSO_PROVIDER='mobConnectBasic'

###### CARPOOL STANDARD ######
CARPOOL_STANDARD_BOOKING_ENABLED=false # true: the carpool standard booking is enabled
CARPOOL_STANDARD_MESSAGING_ENABLED=false # true: the carpool standard messaging is enabled
CARPOOL_STANDARD_OPERATOR_IDENTIFIER='' # our operator name (must be a full domain name) we used to call the carpoolStandard ex : mobicoop.fr


###### SEARCH #####
DATE_TIME_PICKER=false             #Define if we use DatePicker (false) or DateTimePicker (true) on the search component

###### GRATUITY ######
GRATUITY_CAMPAIGN_ACTIVE=false

###### CEE ######
CEE_DISPLAY=false # define if we display the CEE access on the profile page (true/false)

###### EEC Incentive ######
PHONE_CODES=%kernel.project_dir%/config/params/phoneCodes.json

###### RZP ######
INTEGRATE_RZP=false

##### SIGNUP CONFIGURATION ######
SIGNUP_AUTHORIZED_REFERRALS='[]'
